additionalProperties:
  formFields:
    - default: 8080
      edit: true
      envKey: PANEL_APP_PORT_HTTP
      labelEn: HTTP Port
      labelZh: HTTP 端口
      label:
        en: HTTP Port
        ja: HTTP ポート
        ko: HTTP 포트
        ms: Port HTTP
        pt-br: Porta HTTP
        ru: HTTP Порт
        tr: HTTP Portu
        zh-Hant: HTTP 埠
        zh: HTTP 端口
      required: true
      rule: paramPort
      type: number
    - default: 10051
      edit: true
      envKey: PANEL_APP_PORT_RECEIVE
      labelEn: Data receiving port
      labelZh: 数据接收端口
      label:
        en: Data Receiving Port
        ja: データ受信ポート
        ko: 데이터 수신 포트
        ms: Port Penerimaan Data
        pt-br: Porta de Recebimento de Dados
        ru: Порт приема данных
        tr: Veri Alma Portu
        zh-Hant: 資料接收埠
        zh: 数据接收端口
      required: true
      rule: paramPort
      type: number
    - child:
        default: ""
        envKey: PANEL_DB_HOST
        required: true
        type: service
      default: mysql
      labelEn: Database Service
      labelZh: 数据库服务
      label:
        en: Database Service
        ja: データベースサービス
        ms: Perkhidmatan Pangkalan Data
        pt-br: Serviço de Banco de Dados
        ru: Сервис баз данных
        ko: 데이터베이스 서비스
        zh-hant: 資料庫服務
        zh: 数据库服务
      required: true
      type: apps
      values:
        - label: MySQL
          value: mysql
    - default: ""
      envKey: PANEL_DB_ROOT_PASSWORD
      labelEn: Root Password
      labelZh: Root 密码
      label:
        en: Root Password
        ja: ルートパスワード
        ms: Kata Laluan Root
        pt-br: Senha Root
        ru: Пароль root
        ko: 루트 비밀번호
        zh-hant: Root 密碼
        zh: Root 密码
      required: true
      type: text
    - default: zabbix
      envKey: PANEL_DB_NAME
      labelEn: Database name
      labelZh: 数据库名称
      label:
        en: Database Name
        ja: データベース名
        ms: Nama Pangkalan Data
        pt-br: Nome do Banco de Dados
        ru: Имя базы данных
        ko: 데이터베이스 이름
        zh-hant: 資料庫名稱
        zh: 数据库名称
      random: true
      required: true
      rule: paramCommon
      type: text
    - default: zabbix
      envKey: PANEL_DB_USER
      labelEn: Database username
      labelZh: 数据库用户
      label:
        en: Database User
        ja: データベースユーザー
        ms: Pengguna Pangkalan Data
        pt-br: Usuário do Banco de Dados
        ru: Пользователь базы данных
        ko: 데이터베이스 사용자
        zh-hant: 資料庫用戶
        zh: 数据库用户
      random: true
      required: true
      rule: paramCommon
      type: text
    - default: zabbix
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Database Password
      labelZh: 数据库密码
      label:
        en: Database Password
        ja: データベースのパスワード
        ms: Kata Laluan Pangkalan Data
        pt-br: Senha do Banco de Dados
        ru: Пароль базы данных
        ko: 데이터베이스 비밀번호
        zh-hant: 資料庫密碼
        zh: 数据库密码
      random: true
      required: true
      type: password
